curl --request POST \
--url https://www.anyfast.ai/v1/responses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-5.6-luna",
"input": [
{
"role": "user",
"content": "Hello!"
}
],
"stream": false,
"temperature": 1,
"frequency_penalty": 0,
"presence_penalty": 0,
"max_output_tokens": 17,
"stop": "<string>",
"n": 1,
"text": {
"format": {}
},
"reasoning": {
"mode": "pro"
},
"tools": [
{}
],
"prompt_cache_options": {},
"tool_choice": "<string>",
"store": true,
"safety_identifier": "<string>",
"user": "<string>"
}
'import requests
url = "https://www.anyfast.ai/v1/responses"
payload = {
"model": "gpt-5.6-luna",
"input": [
{
"role": "user",
"content": "Hello!"
}
],
"stream": False,
"temperature": 1,
"frequency_penalty": 0,
"presence_penalty": 0,
"max_output_tokens": 17,
"stop": "<string>",
"n": 1,
"text": { "format": {} },
"reasoning": { "mode": "pro" },
"tools": [{}],
"prompt_cache_options": {},
"tool_choice": "<string>",
"store": True,
"safety_identifier": "<string>",
"user": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'gpt-5.6-luna',
input: [{role: 'user', content: 'Hello!'}],
stream: false,
temperature: 1,
frequency_penalty: 0,
presence_penalty: 0,
max_output_tokens: 17,
stop: '<string>',
n: 1,
text: {format: {}},
reasoning: {mode: 'pro'},
tools: [{}],
prompt_cache_options: {},
tool_choice: '<string>',
store: true,
safety_identifier: '<string>',
user: '<string>'
})
};
fetch('https://www.anyfast.ai/v1/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "resp_0ed94fe7ec73cf560169afd97bba648194b8661d445cfa4244",
"object": "response",
"created_at": 1773132155,
"model": "gpt-5.6-luna",
"status": "completed",
"output": [
{
"id": "msg_0ed94fe7ec73cf56",
"type": "message",
"role": "assistant",
"status": "completed",
"content": [
{
"type": "output_text",
"text": "Hi! How can I help you today?",
"annotations": [
{}
]
}
]
}
],
"usage": {
"input_tokens": 8,
"input_tokens_details": {
"cached_tokens": 0
},
"output_tokens": 15,
"output_tokens_details": {
"reasoning_tokens": 0
},
"total_tokens": 23
},
"completed_at": 1773132156,
"reasoning": {
"effort": "high",
"summary": "detailed"
},
"text": {
"format": {
"type": "text"
},
"verbosity": "medium"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}gpt-5.6-luna
Creates a model response for the given input using the Responses API.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Model ID for the efficient GPT-5.6 Luna tier.
gpt-5.6-luna "gpt-5.6-luna"
Text or image input for the model to generate a response.
1Show child attributes
Show child attributes
[{ "role": "user", "content": "Hello!" }]If true, stream partial response deltas using SSE.
Sampling temperature. Higher values make output more random.
0 <= x <= 21
Penalizes repeated tokens based on their frequency in the text so far.
-2 <= x <= 2Penalizes tokens that have already appeared in the text.
-2 <= x <= 2The maximum number of output tokens to generate.
x >= 16Sequences where the model will stop generating further tokens.
How many response choices to generate.
x >= 1Configuration options for model text response.
Show child attributes
Show child attributes
Configuration for model reasoning / thinking.
Show child attributes
Show child attributes
A list of tools the model may call.
Options for explicit prompt caching when supported.
Controls which (if any) tool is called by the model.
Whether to store the generated model response for later retrieval via API.
Stable privacy-preserving identifier for the end user, used by safety systems.
A unique identifier representing your end-user.
Response
Response generated successfully
"resp_0ed94fe7ec73cf560169afd97bba648194b8661d445cfa4244"
"response"
Unix timestamp when the response was created.
1773132155
"gpt-5.6-luna"
completed, failed, in_progress, incomplete "completed"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unix timestamp when the response was completed.
1773132156
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?